package com.heyu.api.data.dao.third;
/**
* <p>
* 第三方和用户信息绑定表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.third.ThirdUserBindEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface ThirdUserBindDao extends BaseMapper<ThirdUserBindEntity> {


	ThirdUserBindEntity selectThirdUserBindById(@Param("id")Long id);


	Long insertThirdUserBind(ThirdUserBindEntity thirdUserBind);


	Long insertOrUpdateThirdUserBind(ThirdUserBindEntity thirdUserBind);


	int updateThirdUserBindById(ThirdUserBindEntity thirdUserBind);


	int updateCoverThirdUserBindById(ThirdUserBindEntity thirdUserBind);


	int deleteThirdUserBindById(@Param("id")Long id);


}